<?php
defined('_JEXEC') or die('Restricted access');
jimport('joomla.plugin.helper');

class plgJshoppingOrderAddon_extra_checkbox extends JPlugin{
	
	private $printed_exchcde = 0;
	
    function __construct(&$subject, $config){
            parent::__construct($subject, $config);
    } 
    
    function onBeforeCreatePdfOrderEnd(&$order, &$pdf, &$name_pdf){
        $session = JFactory::getSession();
        $addon = JTable::getInstance('addon', 'jshop');
        $addon->loadAlias('addon_extra_checkbox');
        $addon_config = $addon->getParams();        
        if ($session->get("extra_checkbox") && $addon_config['show_in_pdf']){
            $pdf->SetXY(20, $pdf->getY());
            $pdf->MultiCell(170, 4, $addon_config['text_in_email'], 0, 'L');
            $session->clear('extra_checkbox');
        }      
    }     
    
    function onBeforeCreateTemplateOrderMail(&$view){
		JSFactory::loadExtLanguageFile('addon_extra_checkbox');
		$addon = JTable::getInstance('addon', 'jshop');
		$addon->loadAlias('addon_extra_checkbox');
		$addon_config = $addon->getParams();
        $session = JFactory::getSession();
        if ($session->get("extra_checkbox")){
            $view->_tmp_ext_html_ordermail_end = $addon_config['text_in_email'];
            if (!$addon_config['show_in_pdf']){
                $session->clear('extra_checkbox');
            }
        }
		if ($view->order->confirm_delivery_email && !$this->printed_exchcde){
			$view->order->shipping_information .= "\n"._JSHOP_EXTRA_CHECKBOX_CONFIRM_DELIVERY_EMAIL.": "._JSHOP_CONFIRMED;
			$this->printed_exchcde = 1;
		}
    }

    function onBeforeShowOrder(&$view){
        JSFactory::loadExtLanguageFile('addon_extra_checkbox');
        if ($view->order->confirm_delivery_email){
            $view->_ext_end_html .= _JSHOP_EXTRA_CHECKBOX_CONFIRM_DELIVERY_EMAIL.": "._JSHOP_CONFIRMED;
        }
    }
}